Skip to main content

Visitor Donation Methods

Donation events broken down by payment method for your handle page. Premium only.

GET
/visitors/donation-methods
x-api-key<token>

API key used for authentication

In: header

Query Parameters

period?string

Time window. Presets: today, yesterday, last24h, last7d, last30d, last90d, wtd, month. Custom: custom:YYYY-MM-DD:YYYY-MM-DD

Default"last30d"

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/visitors/donation-methods"
{
  "methods": [
    {
      "paymentMethod": "card",
      "events": 40,
      "visitors": 32
    },
    {
      "paymentMethod": "paypal",
      "events": 10,
      "visitors": 9
    },
    {
      "paymentMethod": "cashapp",
      "events": 5,
      "visitors": 5
    }
  ]
}
{
  "error": "string",
  "code": "string",
  "details": {}
}